CreateRootVolumeTemplateFromVolumeBackup
CreateRootVolumeTemplateFromVolumeBackup
POST
/zstack/v1/images/root-volume-templates/from/volume-template/{backupUuid}Operation ID
CreateRootVolumeTemplateFromVolumeBackupSince
2.6.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
backupUuidStringRequiredThe UUID of the volume backup.
Body Fields
paramsObjectRequiredRequest body parameter object.
backupStorageUuidStringRequiredThe UUID of the backup storage.
nameStringRequiredThe name of the root volume image.
descriptionStringOptional. The detailed description of the image.
guestOsTypeStringOptional. The type of the guest operating system.
platformStringOptional. The platform type of the guest.
systembooleanOptional. Specify whether to create a system image.
resourceUuidStringOptional. Specify a UUID for the image.
architectureStringOptional.
tagUuidsListOptional. The tag UUIDs.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
